
struct tcpslb_sched_cbs {
	struct semaphore sem;
	struct semaphore sem1;
	unsigned long int content[MAXSERVERS];
};

struct tcpslb_sched_wcbs {
	struct semaphore sem;
	struct semaphore sem1;
	unsigned long int content[MAXSERVERS];
	int weight[MAXSERVERS];
};

/*
 * The pair of sockets which cross connect
 */
struct tcpslb_sockpair_cbs{
	struct socket *srcSock;         //client socket
	struct socket *destSock;        //realserver socket
	struct semaphore sem;           //to synchronize close
	spinlock_t lock;                //to modify cont
	int cont;                       //to decide running of thread
	unsigned long int *content;     //contains the content
	struct tcpslb_sched_cbs *cbs_sched; //points to the sched serv for cbs
	struct tcpslb_sched_wcbs *wcbs_sched;//points to the sched serv for wcbs
};

